MediaWiki:Minerva.css: Difference between revisions

From Honkai: Nexus Anima Wiki
Jump to navigation Jump to search
Kuhlau (talk | contribs)
Created page with "All CSS here will be loaded for users of the MinervaNeue skin: Avoid tabs from going off-screen and needing horizontal scrolling: body > .main-container .wds-tabs__wrapper { display: flex; flex-direction: row; width: 100%; flex-wrap: wrap; margin-left: 0 !important; } Reducing left margin when using lists in a table.: .mw-parser-output td > .columntemplate > ul, .mw-parser-output td > .columntemplate > ol, .mw-parser-output td > ul, .mw-parser-outpu..."
 
Kuhlau (talk | contribs)
No edit summary
 
Line 1: Line 1:
/* All CSS here will be loaded for users of the MinervaNeue skin */
/* All CSS here will be loaded for users of the MinervaNeue skin */
/* Additional colors for Minerva */
:root {
--background-color-interactive: var(--theme-color-8);
}


/* Avoid tabs from going off-screen and needing horizontal scrolling */
/* Avoid tabs from going off-screen and needing horizontal scrolling */

Latest revision as of 17:43, 14 July 2026

/* All CSS here will be loaded for users of the MinervaNeue skin */

/* Additional colors for Minerva */
:root {
	--background-color-interactive: var(--theme-color-8);
}

/* Avoid tabs from going off-screen and needing horizontal scrolling */
body > .main-container .wds-tabs__wrapper {
	display: flex;
	flex-direction: row;
	width: 100%;
	flex-wrap: wrap;
	margin-left: 0 !important;
}

/* Reducing left margin when using lists in a table. */
.mw-parser-output td > .columntemplate > ul,
.mw-parser-output td > .columntemplate > ol,
.mw-parser-output td > ul,
.mw-parser-output td > ol {
    margin-left: 1em;
}

/* For [[Module:Formatting]] */
.custom-formatting-code {
	display: inline-block;
	line-height: 21px;
}
.custom-formatting-code.code-block-table {
	display: table;
}
span.variable {
	opacity: 0.65;
}
span.variable::after {
	opacity: 0.65;
	content: ">";
}
span.variable::before {
	opacity: 0.65;
	content: "<";
}
.custom-formatting-nested {
	display: none;
}
.custom-formatting-resulting {
	display: inline;
}
.custom-formatting-code .custom-formatting-nested {
	display: inline-block;
}
.custom-formatting-code .custom-formatting-resulting {
	display: none;
}
/* End for [[Module:Formatting]] */